changeset 10940:fcd44cf9d7d8

Oops, don't ignore exit code of subprocesses.
author Bruno Haible <bruno@clisp.org>
date Sun, 21 Dec 2008 21:59:13 +0100
parents 4ee0271437dd
children 509592900669
files tests/test-wcrtomb.sh
diffstat 1 files changed, 8 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-wcrtomb.sh	Sun Dec 21 21:57:36 2008 +0100
+++ b/tests/test-wcrtomb.sh	Sun Dec 21 21:59:13 2008 +0100
@@ -4,28 +4,32 @@
 : ${LOCALE_FR=fr_FR}
 if test $LOCALE_FR != none; then
   LC_ALL=$LOCALE_FR \
-  ./test-wcrtomb${EXEEXT} 1
+  ./test-wcrtomb${EXEEXT} 1 \
+  || exit 1
 fi
 
 # Test whether a specific UTF-8 locale is installed.
 : ${LOCALE_FR_UTF8=fr_FR.UTF-8}
 if test $LOCALE_FR_UTF8 != none; then
   LC_ALL=$LOCALE_FR_UTF8 \
-  ./test-wcrtomb${EXEEXT} 2
+  ./test-wcrtomb${EXEEXT} 2 \
+  || exit 1
 fi
 
 # Test whether a specific EUC-JP locale is installed.
 : ${LOCALE_JA=ja_JP}
 if test $LOCALE_JA != none; then
   LC_ALL=$LOCALE_JA \
-  ./test-wcrtomb${EXEEXT} 3
+  ./test-wcrtomb${EXEEXT} 3 \
+  || exit 1
 fi
 
 # Test whether a specific GB18030 locale is installed.
 : ${LOCALE_ZH_CN=zh_CN}
 if test $LOCALE_ZH_CN != none; then
   LC_ALL=$LOCALE_ZH_CN \
-  ./test-wcrtomb${EXEEXT} 4
+  ./test-wcrtomb${EXEEXT} 4 \
+  || exit 1
 fi
 
 exit 0